Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### frameRate()
Examples |
    void setup() {
      frameRate(4);
    }
    int pos = 0;
    void draw() {
      background(204);
      pos++;
      line(pos, 20, pos, 80);
      if(pos > width) {
        pos = 0;
      }
    }
Description | Specifies the number of frames to be displayed every second. If the processor is not fast enough to maintain the specified rate, it will not be achieved. For example, the function call frameRate(30) will attempt to refresh 30 times a second. It is recommended to set the frame rate within setup(). The default rate is 60 frames per second.
Syntax |
    frameRate(fps)
Parameters |
fps | int: number of frames per second
Returns | None
Usage | Web & Application
Related | delay()

Updated on August 30, 2010 04:29:39pm EDT